public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/planner/
Date: Sat, 29 Oct 2022 18:34:07 +0000 (UTC)	[thread overview]
Message-ID: <1667068438.c5531bd06b0408bac631274ae20ce9b320a50226.mattst88@gentoo> (raw)

commit:     c5531bd06b0408bac631274ae20ce9b320a50226
Author:     Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Sat Oct 15 17:13:36 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Oct 29 18:33:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5531bd0

app-office/planner: disable eds, fix QA

Closes: https://bugs.gentoo.org/814152
Closes: https://bugs.gentoo.org/784086
Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 .../planner/planner-0.14.6_p20130520-r3.ebuild     | 66 ++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/app-office/planner/planner-0.14.6_p20130520-r3.ebuild b/app-office/planner/planner-0.14.6_p20130520-r3.ebuild
new file mode 100644
index 000000000000..a7e96491e139
--- /dev/null
+++ b/app-office/planner/planner-0.14.6_p20130520-r3.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2
+
+DESCRIPTION="Project manager for Gnome"
+HOMEPAGE="https://wiki.gnome.org/Apps/Planner"
+if [[ "${PV}" == "9999" ]] ; then
+	EGIT_REPO_URI="https://gitlab.gnome.org/World/planner.git"
+	inherit git-r3
+	SRC_URI=""
+else
+	SRC_URI="https://dev.gentoo.org/~eva/distfiles/${PN}/${P}.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+fi
+
+SLOT="0"
+LICENSE="GPL-2"
+
+IUSE="examples"
+
+RDEPEND="
+	>=dev-libs/glib-2.6:2
+	>=x11-libs/gtk+-2.24:2
+	>=gnome-base/gconf-2.10:2
+	>=gnome-base/libgnomecanvas-2.10
+	>=gnome-base/libglade-2.4:2.0
+	>=dev-libs/libxml2-2.6.27:2
+	>=dev-libs/libxslt-1.1.23
+"
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+	dev-util/gtk-doc-am
+	app-text/docbook-xml-dtd:4.1.2
+	>=dev-util/intltool-0.35.5
+	gnome-base/gnome-common
+	virtual/pkgconfig
+	app-text/rarian
+"
+
+S="${WORKDIR}/${PN}-0.14.6"
+src_configure() {
+	# FIXME: disable eds backend for now, it fails, upstream bug #654005
+	# FIXME: disable eds for now, bug #784086
+	# We need to set compile-warnings to a different value as it doesn't use
+	# standard macro: https://bugzilla.gnome.org/703067
+	gnome2_src_configure \
+		--disable-python \
+		--disable-python-plugin \
+		--disable-eds \
+		--disable-eds-backend \
+		--with-database=no \
+		--disable-update-mimedb \
+		--enable-compile-warnings=yes
+}
+
+src_install() {
+	gnome2_src_install
+	mv "${ED}"/usr/share/doc/planner "${ED}"/usr/share/doc/${PF} || die
+	if ! use examples; then
+		rm -rf "${D}/usr/share/doc/${PF}/examples"
+	fi
+}


             reply	other threads:[~2022-10-29 18:34 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-29 18:34 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-20 10:23 [gentoo-commits] repo/gentoo:master commit in: app-office/planner/ Pacho Ramos
2023-12-20 10:23 Pacho Ramos
2023-11-04 10:43 Mart Raudsepp
2023-01-18 20:50 Mart Raudsepp
2022-12-21 12:42 Andreas Sturmlechner
2022-12-12 18:03 Matt Turner
2022-11-15 16:13 Mart Raudsepp
2022-10-30 15:24 Matt Turner
2022-10-29 18:34 Matt Turner
2020-04-20 20:30 Mart Raudsepp
2020-03-15 17:38 Mart Raudsepp
2020-03-07 20:18 Mart Raudsepp
2020-03-07 20:18 Mart Raudsepp
2020-02-09 16:11 Michał Górny
2019-02-22 19:13 Mart Raudsepp
2016-11-03 14:46 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1667068438.c5531bd06b0408bac631274ae20ce9b320a50226.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox